Page MenuHomePhabricator

Styling for "Add translation" invite
Closed, ResolvedPublic

Description

When hovering sections to add to the translation, the invite "Add translation" placeholder is shown. Currently a couple of issues need polishing:

  • Unexpected yellow highlighting. The "Add translation" placeholder currently shows a yellow highlight around it that is not needed. While the source paragraph is highlighted in yellow, the translation the placeholder should not have a yellow border around it.
  • The colors need to align with the color palette (M82). Text should be Base30 (#72777d), and background should be Base90 (#F8F9FA).

(also notice the misalignment of the paragraphs which seems more prone to happen in CX2. The example article is "Jonathan Ive" from EN to CA)

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.
StatusAssignedTask
OpenAmire80
ResolvedPetar.petkovic

Event Timeline

Amire80 moved this task from Needs Triage to CX2 on the ContentTranslation board.Jun 25 2017, 7:58 PM

Change 369349 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] CX2: Style Add translation invite

https://gerrit.wikimedia.org/r/369349

Change 369349 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] CX2: Style Add translation invite

https://gerrit.wikimedia.org/r/369349

Etonkovidova added a subscriber: Etonkovidova.EditedAug 8 2017, 12:18 AM

Checked cx-testing (specifically, re-checked "Jonathan Ive" ) - the fix is in place:

  • no yellow border
  • no misaligned paragraphs

Colors will be as following
color: @colorGray7;
background-color: @colorGray15;

Etonkovidova closed this task as Resolved.Aug 28 2017, 10:20 PM